Get tasks requiring feedback

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/user/tasks-to-check

Retrieve tasks requiring feedback for departments where the current user is a supervisor. Returns empty list if user is not a supervisor.

Query parameters

  • project_id string(uuid)

    Filter tasks on given project ID

  • task_type_id string(uuid)

    Filter tasks on given task type ID

  • task_status_id string(uuid)

    Filter tasks on given task status ID

  • person_id string(uuid)

    Filter tasks assigned to given person ID (comma separated list allowed)

  • episode_id string(uuid)

    Filter tasks on given episode ID

  • due_date_since string(date)

    Filter tasks with a due date posterior to given date

  • due_date_until string(date)

    Filter tasks with a due date anterior to given date

  • order_by string

    Sort tasks on given criterion

    Values are priority, due_date, entity_name, or estimation.

  • page integer

    Page number. Enables the pagination envelope response

  • limit integer

    Number of tasks per page

    Default value is 100.

Responses

  • 200 application/json

    Tasks requiring feedback in current user departments, as a bare array without the page parameter and as a pagination envelope with it

    One of:

    Bare task list, when no page is given

    Hide attributes Show attributes object
    • id string(uuid)

      Task unique identifier

    • name string

      Task name

    • task_type_id string(uuid)

      Task type identifier

    • task_status_id string(uuid)

      Task status identifier

    • assigner_id string(uuid)

      Person who assigned the task

    • assignees array[string(uuid)]

      List of assigned person identifiers

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

GET /data/user/tasks-to-check
curl -X GET "http://api.example.com/data/user/tasks-to-check" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/user/tasks-to-check"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/user/tasks-to-check' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "b35b7fb5-df86-5776-b181-68564193d36",
    "name": "Review",
    "task_type_id": "c46c8gc6-eg97-6887-c292-79675204e47",
    "task_status_id": "d57d9hd7-fh08-7998-d403-80786315f58",
    "assigner_id": "e68e0ie8-gi19-8009-e514-91897426g69",
    "assignees": [
      "f79f1jf9-hj20-9010-f625-a09008537h80"
    ],
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]
{
  "data": [
    {}
  ],
  "stats": {
    "total": 42,
    "total_duration": 42,
    "total_estimation": 42
  },
  "page": 42,
  "limit": 42,
  "is_more": true
}